1

I'm following

https://www.raspberrypi.org/forums/viewtopic.php?t=196010#p1226096

to install a mosquitto server on Raspberry Pi 3 Model B

sudo apt-get install libc-ares-dev uuid-dev libwebsockets-dev libssl-dev xsltproc docbook-xsl

returns

Reading package lists... Done Building dependency tree Reading state information... Done E:Unable to locate package xstlproc

I ran

sudo apt-get update

but running

sudo apt-get install xstlproc

still returns "E:Unable to locate package xstlproc"

  • 3
    You have a typo in the command. It should be xsltproc. – Dirk Oct 26 '18 at 21:25
  • @Dirk - consider making this an answer. – Seamus Oct 28 '18 at 16:39
  • @Seamus - not bothered. Someone stole it already and I really don't want to post a (sort of) duplicate answer – Dirk Oct 28 '18 at 17:30
  • @Dirk: Understood. +1 for your comment then. – Seamus Oct 29 '18 at 10:16
2

You typed the package name wrong!

sudo apt-get install xsltproc

not xstlproc

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.